package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cps_usr_apply与会申请对象 cps_usr_apply
 *
 * @author ruoyi
 * @date 2024-09-19
 */
public class CpsUsrApply extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 参会人
     */
    @Excel(name = "参会人")
    private String usrName;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String tel;

    /**
     * 参会人单位
     */
    @Excel(name = "参会人单位")
    private String orgUnitName;

    /**
     * 参会人职务
     */
    @Excel(name = "参会人职务")
    private String uniLevel;

    /**
     * 邮箱信息
     */
    @Excel(name = "邮箱信息")
    private String email;

    /**
     * 参会人角色
     */
    @Excel(name = "参会人角色")
    private String usrType;

    /**
     * 现场调研
     */
    @Excel(name = "现场调研")
    private String conferenceFlag;

    /**
     * 关联会场报名信息，针对现场调研的报名信息
     */
    private Long conferenceRel;

    /**
     * 申请类型
     */
    @Excel(name = "申请类型")
    private String applyType;

    /**
     * 审核状态
     */
    @Excel(name = "审核状态")
    private String reviewState;

    /**
     * 审核不通过原因
     */
    @Excel(name = "审核信息")
    private String reviewMsg;

    /**
     * 微信用户主键
     */
    private Long usrWechatId;

    /**
     * 与会内容
     */
    private Long contentId;
    @Excel(name = "与会内容")
    private String contentTitle;

    private String deptId;

    /**
     * $column.columnComment
     */
    @Excel(name = "来程方式")
    private String wayComing;

    /**
     * 来程信息
     */
    @Excel(name = "来程信息")
    private String comInfo;

    /**
     * $column.columnComment
     */
    @Excel(name = "回程方式")
    private String wayBack;

    /**
     * 返程信息
     */
    @Excel(name = "返程信息")
    private String backInfo;

    private CpsContentInfo content;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUsrName(String usrName) {
        this.usrName = usrName;
    }

    public String getUsrName() {
        return usrName;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getTel() {
        return tel;
    }

    public void setOrgUnitName(String orgUnitName) {
        this.orgUnitName = orgUnitName;
    }

    public String getOrgUnitName() {
        return orgUnitName;
    }

    public void setUniLevel(String uniLevel) {
        this.uniLevel = uniLevel;
    }

    public String getUniLevel() {
        return uniLevel;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEmail() {
        return email;
    }

    public void setUsrType(String usrType) {
        this.usrType = usrType;
    }

    public String getUsrType() {
        return usrType;
    }

    public void setConferenceFlag(String conferenceFlag) {
        this.conferenceFlag = conferenceFlag;
    }

    public String getConferenceFlag() {
        return conferenceFlag;
    }

    public void setConferenceRel(Long conferenceRel) {
        this.conferenceRel = conferenceRel;
    }

    public Long getConferenceRel() {
        return conferenceRel;
    }

    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }

    public String getApplyType() {
        return applyType;
    }

    public void setReviewState(String reviewState) {
        this.reviewState = reviewState;
    }

    public String getReviewState() {
        return reviewState;
    }

    public void setReviewMsg(String reviewMsg) {
        this.reviewMsg = reviewMsg;
    }

    public String getReviewMsg() {
        return reviewMsg;
    }

    public void setUsrWechatId(Long usrWechatId) {
        this.usrWechatId = usrWechatId;
    }

    public Long getUsrWechatId() {
        return usrWechatId;
    }

    public void setContentId(Long contentId) {
        this.contentId = contentId;
    }

    public Long getContentId() {
        return contentId;
    }

    public void setContentTitle(String contentTitle) {
        this.contentTitle = contentTitle;
    }

    public String getContentTitle() {
        return contentTitle;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptId() {
        return deptId;
    }

    public CpsContentInfo getContent() {
        return content;
    }

    public void setContent(CpsContentInfo content) {
        this.content = content;
    }

    public void setWayComing(String wayComing) {
        this.wayComing = wayComing;
    }

    public String getWayComing() {
        return wayComing;
    }

    public void setComInfo(String comInfo) {
        this.comInfo = comInfo;
    }

    public String getComInfo() {
        return comInfo;
    }

    public void setWayBack(String wayBack) {
        this.wayBack = wayBack;
    }

    public String getWayBack() {
        return wayBack;
    }

    public void setBackInfo(String backInfo) {
        this.backInfo = backInfo;
    }

    public String getBackInfo() {
        return backInfo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("usrName", getUsrName()).append("tel", getTel()).append("orgUnitName", getOrgUnitName()).append("uniLevel", getUniLevel()).append("email", getEmail()).append("usrType", getUsrType()).append("conferenceFlag", getConferenceFlag()).append("conferenceRel", getConferenceRel()).append("applyType", getApplyType()).append("reviewState", getReviewState()).append("reviewMsg", getReviewMsg()).append("usrWechatId", getUsrWechatId()).append("contentId", getContentId()).append("contentTitle", getContentTitle()).append("deptId", getDeptId()).append("wayComing", getWayComing()).append("comInfo", getComInfo()).append("wayBack", getWayBack()).append("backInfo", getBackInfo()).append("remark", getRemark()).append("updateTime", getUpdateTime()).append("createTime", getCreateTime()).append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).toString();
    }
}
